{
  "dashboardAuthorizations": {
    "allAuthorized": false,
    "authorizations": []
  },
  "exposedObjects": {
    "objects": []
  },
  "projectType": "REGULAR",
  "projectAppType": "REGULAR",
  "hasSetupSection": false,
  "owner": "admin",
  "permissionsVersion": "V2",
  "permissions": [],
  "additionalDashboardUsers": {
    "users": []
  },
  "tutorialProject": true,
  "tutorialId": "TUT_SCENARIOS",
  "settings": {
    "flowAnchorSourcesAndSinks": true,
    "flowDisplaySettings": {
      "zonesGraphRenderingAlgorithm": "DOT_OLDRANK",
      "zonesGraphConnectZones": true,
      "zonesGraphForJobs": true,
      "respectTraversalOrder": false,
      "zonesManualPositioning": false,
      "showFlowZoneDescriptions": false
    },
    "gitCommitMode": "AUTO",
    "disableAutomaticTriggers": false,
    "integrations": {
      "integrations": []
    },
    "flowBuildSettings": {
      "mergeSparkPipelines": false,
      "pruneBeforeSparkPipelines": true,
      "mergeSqlPipelines": true,
      "pruneBeforeSqlPipelines": true,
      "mergeCdePipelines": false,
      "pruneBeforeCdePipelines": true,
      "defaultRecipeHashPropagationBehavior": "ENABLED"
    },
    "sharingRequestsEnabled": "INHERIT",
    "limitedVisibilityEnabled": "INHERIT",
    "accessRequestsEnabled": "INHERIT",
    "limitsSettings": {
      "memSampleBytes": {
        "soft": -1,
        "hard": -1
      },
      "shakerMemTableBytes": {
        "soft": -1,
        "hard": -1
      },
      "attachmentBytes": {
        "soft": -1,
        "hard": -1
      },
      "sqlNotebookResultSetBytes": {
        "soft": -1,
        "hard": -1
      },
      "sqlScenarioResultSetBytes": {
        "soft": -1,
        "hard": -1
      }
    },
    "relocationSettings": {
      "sqlLikeRecipesInitializationMode": "RESOLVED_TABLE_REFERENCES"
    },
    "recipeEnginesPreferences": {
      "forbiddenEngines": [],
      "enginesPreferenceOrder": [],
      "forbiddenByRecipeType": {},
      "preferenceByRecipeType": {}
    },
    "visualRecipesEnginesSettings": {
      "sparkFallbackToDSSEngineForSmallDatasetsOnScalarRecipes": "INHERIT",
      "maxSizeMBForDatasetToBeConsideredSmallOnScalarRecipes": 20,
      "sparkFallbackToDSSEngineForSmallDatasetsOnSimpleShufflingRecipes": "INHERIT",
      "maxSizeMBForDatasetToBeConsideredSmallOnSimpleShufflingRecipes": 20,
      "sparkFallbackToDSSEngineForSmallDatasetsOnExpandingShufflingRecipes": "INHERIT",
      "maxSizeMBForDatasetToBeConsideredSmallOnExpandingShufflingRecipes": 20
    },
    "codeEnvs": {
      "python": {
        "mode": "INHERIT",
        "preventOverride": false
      },
      "r": {
        "mode": "INHERIT",
        "preventOverride": false
      },
      "julia": {
        "mode": "INHERIT",
        "preventOverride": false
      }
    },
    "container": {
      "containerMode": "INHERIT"
    },
    "containerForVisualRecipesWorkloads": {
      "containerMode": "INHERIT"
    },
    "datasetsCreationSettings": {
      "useGlobal": true,
      "preferedStorageFormats": "CSV_ESCAPING_NOGZIP_FORHIVE,CSV_EXCEL_GZIP,PARQUET_HIVE",
      "virtualizable": false
    },
    "hiveEngineCreationSettings": {
      "useGlobal": true,
      "executionEngine": "HIVECLI_LOCAL"
    },
    "sparkEngineCreationSettings": {
      "useGlobal": true,
      "executionEngine": "SPARK_SUBMIT",
      "useGlobalMetastore": false
    },
    "impalaEngineCreationSettings": {
      "useGlobal": true,
      "streamMode": true
    },
    "wikiSettings": {
      "promoted": false
    },
    "cluster": {
      "clusterMode": "INHERIT"
    },
    "k8sCluster": {
      "clusterMode": "INHERIT"
    },
    "virtualWebAppBackendSettings": {
      "mode": "INHERIT",
      "preventOverride": false,
      "infra": {
        "containerSelection": {
          "containerMode": "INHERIT"
        },
        "overrideGlobalK8sExposition": false,
        "exposition": {
          "type": "local_process",
          "params": {}
        },
        "scaling": {
          "initialReplicas": 1,
          "progressDeadlineSeconds": 600,
          "hpa": false,
          "hpaTargetCPUPercent": 0,
          "hpaTargetMemoryPercent": 0,
          "hpaMetrics": [],
          "hpaMinPods": 0,
          "hpaMaxPods": 0,
          "hpaAnnotations": []
        },
        "podDisruptionBudget": {
          "enable": false,
          "isMaxUnavailable": false,
          "minAvailable": "50%"
        },
        "deploymentModifier": {
          "config": {}
        }
      }
    },
    "dkuProperties": [],
    "autogeneratedDocumentationEnabled": true,
    "agentInteractionLoggingSelection": {
      "mode": "NONE",
      "explicitSettings": {
        "flushEveryBytes": 10000000,
        "flushEveryS": 900,
        "contentMode": "NO_LOGS_NO_TRACE"
      }
    },
    "connectionValidationChecks": {
      "skipStorageConflictCheck": false
    }
  },
  "name": "Dataiku Apps",
  "imgPattern": 4,
  "showInitials": false,
  "metrics": {
    "probes": [],
    "engineConfig": {
      "padRunsWithMetrics": false,
      "hive": {
        "active": true,
        "extraConf": []
      },
      "basic": {},
      "dss": {
        "active": true,
        "selection": {
          "useMemTable": false,
          "filter": {
            "distinct": false,
            "enabled": false
          },
          "partitionSelectionMethod": "ALL",
          "latestPartitionsN": 1,
          "ordering": {
            "enabled": false,
            "rules": []
          },
          "samplingMethod": "FULL",
          "maxRecords": -1,
          "targetRatio": 0.02,
          "ascending": true,
          "withinFirstN": -1,
          "maxReadUncompressedBytes": -1
        }
      },
      "sql": {
        "active": true
      },
      "impala": {
        "active": true
      },
      "spark": {
        "active": true,
        "extraConf": []
      },
      "python": {}
    },
    "displayedState": {
      "columns": [],
      "metrics": []
    }
  },
  "metricsChecks": {
    "runOnBuild": false,
    "checks": [],
    "displayedState": {
      "checks": []
    }
  },
  "creationTag": {
    "versionNumber": 0,
    "lastModifiedBy": {
      "login": "sean"
    },
    "lastModifiedOn": 1693485417713,
    "extendedProperties": {}
  },
  "description": "# Welcome to the Dataiku apps tutorial!\n\n\u003cp class\u003d\"text-center\"\u003e   \u003ca href\u003d\"https://academy.dataiku.com/dataiku-applications-tutorials-open\" target\u003d\"_blank\" class\u003d\"btn btn-datasets-color btn-cta-big-mod\"\u003e\u003ci class\u003d\"icon-dku-sample_project\" class\u003d\"btn-cta-big-mod-icon\" /\u003e\u0026nbsp;Go to the Course on Dataiku Academy  \u003c/a\u003e\u003c/p\u003e\n\nIn this tutorial, we introduce how to turn projects into Dataiku apps.",
  "shortDesc": "Learn how to use [Dataiku apps](https://knowledge.dataiku.com/latest/mlops-o16n/dataiku-applications/tutorial-visual-dataiku-application.html) for packing projects as reusable apps.",
  "tags": [
    "academy",
    "tutorial",
    "downloads"
  ],
  "customFields": {},
  "checklists": {
    "checklists": [
      {
        "title": "Your new project\u0027s Todo",
        "createdOn": 0,
        "items": [
          {
            "done": true,
            "text": "Create the project",
            "createdOn": 1693485417713,
            "createdBy": "sean",
            "stateChangedOn": 0
          },
          {
            "done": false,
            "text": "Convert a Dataiku project into a reusable Dataiku app.",
            "createdOn": 1693485417713,
            "createdBy": "sean",
            "stateChangedOn": 0
          },
          {
            "done": false,
            "text": "Design a Dataiku app that allows a user to edit a project variable, run a scenario, and download the output data.",
            "createdOn": 1693485417713,
            "createdBy": "sean",
            "stateChangedOn": 0
          },
          {
            "done": false,
            "text": "Create additional app instances to see the similarities and differences between a Dataiku project and an app.",
            "createdOn": 1697479861896,
            "createdBy": "admin",
            "stateChangedOn": 0
          },
          {
            "done": false,
            "text": "See how version management works for a Dataiku app.",
            "createdOn": 1699387687291,
            "createdBy": "admin",
            "stateChangedOn": 0
          },
          {
            "done": false,
            "text": "Convert a Dataiku project into a Dataiku app-as-recipe.",
            "createdOn": 1726152300926,
            "createdBy": "admin",
            "stateChangedOn": 0
          }
        ]
      }
    ]
  }
}